# Active Admin

[Active Admin](https://activeadmin.info) is a Ruby on Rails framework for
creating elegant backends for website administration.

[![Version         ][rubygems_badge]][rubygems]
[![Github Actions  ][actions_badge]][actions]
[![Coverage        ][coverage_badge]][coverage]
[![Tidelift        ][tidelift_badge]][tidelift]
[![Inch CI         ][inch_badge]][inch]

## Goals

* Enable developers to quickly create good-looking administration interfaces.
* Build a DSL for developers and an interface for businesses.
* Ensure that developers can easily customize every nook and cranny.

## Getting started

* Check out [the docs][docs].
* Try the [live demo][demo].
* The [wiki] includes links to tutorials, articles and sample projects.

## For enterprise

Active Admin for enterprise is available via the Tidelift subscription. [Learn
More][tidelift_enterprise].

## Need help?

Please use [StackOverflow][stackoverflow] for help requests and how-to questions.

Please open GitHub issues for bugs and enhancements only, not general help requests.
Please search previous issues (and Google and StackOverflow) before creating a new issue.

Google Groups, IRC #activeadmin and Gitter are not actively monitored.

## Want to contribute?

If you want to contribute through code or documentation, the [Contributing
guide is the best place to start][contributing]. If you have questions, feel free
to ask.

## Want to support us?

If you want to support us financially, you can [help fund the project
through a Tidelift subscription][tidelift_support]. By buying a Tidelift subscription
you make sure your whole dependency stack is properly maintained, while also
getting a comprehensive view of outdated dependencies, new releases, security
alerts, and licensing compatibility issues.

You can also support us with a weekly tip via [Liberapay].

Finally, we have an [Open Collective][opencollective page] where you can become a backer or
sponsor for the project, and also submit expenses to it.

## Dependencies

We try not to reinvent the wheel, so Active Admin is built with other open source projects:

Tool                  | Description
--------------------- | -----------
[Arbre]               | Ruby -> HTML, just like that.
[Devise]              | Powerful, extensible user authentication
[Formtastic]          | A Rails form builder plugin with semantically rich and accessible markup
[Inherited Resources] | Simplifies controllers with pre-built RESTful controller actions
[Kaminari]            | Elegant pagination for any sort of collection
[Ransack]             | Provides a simple search API to query your data

## Security contact information

Please use the Tidelift security contact to [report a security vulnerability][Tidelift security contact].
Tidelift will coordinate the fix and disclosure.

## Acknowledgements

Thanks to [Greg Bell][Greg] for creating and sharing this project with the open source community.

Thanks to [all the people that ever contributed through code][contributors] or
other means such as bug reports, issue triaging, feature suggestions, code
snippet tips, Slack discussions and so on.

Thanks to [Tidelift][tidelift] and all our Tidelift subscribers.

Thanks to [Open Collective][opencollective contributors] and all our Open Collective contributors.

[Arbre]: https://github.com/activeadmin/arbre
[Devise]: https://github.com/heartcombo/devise
[Formtastic]: https://github.com/formtastic/formtastic
[Inherited Resources]: https://github.com/activeadmin/inherited_resources
[Kaminari]: https://github.com/kaminari/kaminari
[Ransack]: https://github.com/activerecord-hackery/ransack

[rubygems_badge]: http://img.shields.io/gem/v/activeadmin.svg
[rubygems]: https://rubygems.org/gems/activeadmin
[actions_badge]: https://github.com/activeadmin/activeadmin/workflows/ci/badge.svg
[actions]: https://github.com/activeadmin/activeadmin/actions
[coverage_badge]: https://codecov.io/gh/activeadmin/activeadmin/branch/master/graph/badge.svg?token=NAjeBdkQXW
[coverage]: https://codecov.io/gh/activeadmin/activeadmin
[inch_badge]: http://inch-ci.org/github/activeadmin/activeadmin.svg?branch=master
[inch]: http://inch-ci.org/github/activeadmin/activeadmin
[tidelift_badge]: https://tidelift.com/badges/github/activeadmin/activeadmin
[tidelift]: https://tidelift.com/subscription/pkg/rubygems-activeadmin?utm_source=rubygems-activeadmin&utm_medium=readme
[tidelift_enterprise]: https://tidelift.com/subscription/pkg/rubygems-activeadmin?utm_source=rubygems-activeadmin&utm_medium=referral&utm_campaign=enterprise
[tidelift_support]: https://tidelift.com/subscription/pkg/rubygems-activeadmin?utm_source=rubygems-activeadmin&utm_medium=referral&utm_campaign=github&utm_content=support

[docs]: http://activeadmin.info/0-installation.html
[demo]: http://demo.activeadmin.info/admin
[wiki]: https://github.com/activeadmin/activeadmin/wiki
[stackoverflow]: http://stackoverflow.com/questions/tagged/activeadmin
[contributing]: https://github.com/activeadmin/activeadmin/blob/master/CONTRIBUTING.md
[Liberapay]: https://liberapay.com/Active-Admin/donate
[Tidelift security contact]: https://tidelift.com/security
[Greg]: https://github.com/gregbell
[contributors]: https://github.com/activeadmin/activeadmin/graphs/contributors
[opencollective page]: https://opencollective.com/activeadmin
[opencollective contributors]: https://opencollective.com/activeadmin#contributors
